QB_ARRAY_CREATE(3)

NAME
qb_array_create - Create an array with fixed sized elements.

SYNOPSIS
#include <qb/qbarray.h>

qb_array_t * qb_array_create(
    size_t  max_elements,  /* initial max elements */
    size_t  element_size   /* size of each element */
);

PARAMS
max_elements initial max elements

element_size size of each element

DESCRIPTION

RETURN VALUE

array instance

SEE ALSO

qb_array_elems_per_bin_get(3), qb_array_new_bin_cb_set(3), qb_array_grow(3), qb_array_num_bins_get(3), qb_array_index(3), qb_array_create_2(3), qb_array_free(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.